Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoQuad2BinOp< EOT > Class Template Reference

Turning an eoQuadOp into an eoBinOp: simply don't touch the second arg! More...

`#include <eoOp.h>`

Inheritance diagram for eoQuad2BinOp< EOT >:

List of all members.

## Public Member Functions
| eoQuad2BinOp (eoQuadOp< EOT > &_quadOp)
| Ctor.
bool | operator() (EOT &_eo1, const EOT &_eo2)
| Operator() simply calls embedded quadOp operator() with dummy second arg.
## Private Attributes
eoQuadOp< EOT > & | quadOp

## Detailed Description

### template<class EOT>
class eoQuad2BinOp< EOT >

Turning an eoQuadOp into an eoBinOp: simply don't touch the second arg!

Definition at line 143 of file eoOp.h.

## Constructor & Destructor Documentation

template<class EOT>
eoQuad2BinOp< EOT >::eoQuad2BinOp | ( | eoQuadOp< EOT > & | _quadOp | ) | `[inline]`

  | Ctor. Parameters:
  | _quadOp | the eoQuadOp to be transformed
Definition at line 149 of file eoOp.h.

The documentation for this class was generated from the following file:

- eoOp.h